Loading...
Searching...
No Matches
UniquifyVariableNames.h File Reference

Defines the lowering pass that renames all variables to have unique names. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::uniquify_variable_names (const Stmt &s)
| Modify a statement so that every internally-defined variable name is unique.
void | Halide::Internal::uniquify_variable_names_test ()

## Detailed Description

Defines the lowering pass that renames all variables to have unique names.

Definition in file UniquifyVariableNames.h.